X
Tap here to go to the mobile version of the site.

Support Forum

why doesn't FF 3.6.4 support real player downloads

Posted

recently underwent FF 3.6.4 auto update. now FF 3.6.4 and real player downloads have not connection.

This happened

Every time Firefox opened

== when i allowed auto update of windows vista with FF 3.6.4

recently underwent FF 3.6.4 auto update. now FF 3.6.4 and real player downloads have not connection. == This happened == Every time Firefox opened == when i allowed auto update of windows vista with FF 3.6.4

Additional System Details

Installed Plug-ins

  • -Allows browsing on RealArcade sites with Mozilla browsers.
  • np-mswmp
  • 1.2.0.1256
  • 1.7.0059.0
  • Google Gadget Plugin 5.7.712.19360
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPTURNMED
  • 6.0.12.732
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealJukebox Netscape Plugin
  • Adobe PDF Plug-In For Firefox and Netscape "9.3.2"
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Default Plug-in
  • Shockwave Flash 10.1 r53
  • Adobe Shockwave for Director Netscape plug-in, version 11.5
  • iTunes Detector Plug-in
  • GEPlugin
  • Picasa plugin
  • 4.0.50524.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Google Updater pluginhttp://pack.google.com/
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • Google Update
  • Java(TM) Platform SE binary
  • Next Generation Java Plug-in 1.6.0_20 for Mozilla browsers

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.4) Gecko/20100611 Firefox/3.6.4 GTB7.0 ( .NET CLR 3.5.30729)

More Information

n/a. there simply is no connection between FF 3.6.4 and real player downloads as in prior release of FF 3.6.x

Question owner

I have the same problem

I have the same problem

Question owner

why doesn't FF 3.6.4 support real player downloads

why doesn't FF 3.6.4 support real player downloads
Morbus 135 solutions 2340 answers

I believe other users have this problem too. Is this in relation to RealPlayer Record Plugin? If that's the case, you need to contact its author for support. I'm not sure Mozilla can do anything about this, but this has been reported. In any case, the thing is, plugins are made for the browsers, not the other way around. If you have a problem with a specific plugin, you need to contact its author for support.

I believe other users have this problem too. Is this in relation to RealPlayer Record Plugin? If that's the case, you need to contact its author for support. I'm not sure Mozilla can do anything about this, but this has been reported. In any case, the thing is, plugins are made for the browsers, not the other way around. If you have a problem with a specific plugin, you need to contact its author for support.

Question owner

Thank you for the insight, plug ins are made for browsers, browsers are not made for plug ins. When the plug in is updated for the stupid error in 3.6.4 then i may reload 3.6.4. For now I'm back to 3.6.3.

Thank you for the insight, plug ins are made for browsers, browsers are not made for plug ins. When the plug in is updated for the stupid error in 3.6.4 then i may reload 3.6.4. For now I'm back to 3.6.3.

Question owner

lately updated FF to 3.6.4 now download function is gone, in iE the function with newest iE and newest real is still available -> the FF update 3.6.4 caused the problem.

and thats not new: in quite regular circles (every 2nd or 3rd FF update) the download plugin with real is not compatible with firefox which really sucks!

if i have the newest version of both, it should work. but it doesn't cause FF is not up-to-date with other programms. when they do their work, they don't check for newest versions and with real on the other hand, its the same.

lately updated FF to 3.6.4 now download function is gone, in iE the function with newest iE and newest real is still available -> the FF update 3.6.4 caused the problem. and thats not new: in quite regular circles (every 2nd or 3rd FF update) the download plugin with real is not compatible with firefox which really sucks! if i have the newest version of both, it should work. but it doesn't cause FF is not up-to-date with other programms. when they do their work, they don't check for newest versions and with real on the other hand, its the same.
Morbus 135 solutions 2340 answers

Anonymus, you need to ask the plugin's developers to make it compatible with Firefox. That works the same for all add-ons. If you need to update plugins, check this page: https://www.mozilla.com/en-US/plugincheck/

Anonymus, you need to ask the plugin's developers to make it compatible with Firefox. That works the same for all add-ons. If you need to update plugins, check this page: https://www.mozilla.com/en-US/plugincheck/

Question owner

@morbus:

yeah, i know and partly you are right, but wouldn't it be nice if the mozilla defs would make Their latest version compatible with the latest versions of such a very popular program?

real and firefox are up to date, and thats why it doesn't work, and as you see, im not the only one with this problem.

other browers dont! have these issues, its somehow just related to FF (the latest iE works with the latest real)

and i wonder why the FF devs have touched the sourcecode in that way, that specifically the real plugins won't work ...

@morbus: yeah, i know and partly you are right, but wouldn't it be nice if the mozilla defs would make Their latest version compatible with the latest versions of such a very popular program? real and firefox are up to date, and thats why it doesn't work, and as you see, im not the only one with this problem. other browers dont! have these issues, its somehow just related to FF (the latest iE works with the latest real) and i wonder why the FF devs have touched the sourcecode in that way, that specifically the real plugins won't work ...
Morbus 135 solutions 2340 answers

It does seem that this problem affects all RealPlayer Record Plugin users. And I think it would be nice if Mozilla had gone out of their way to make Firefox 3.6.4 not break this plugin. But apparently they haven't, and this probably has to do with the fact that RealPlayer Record Plugin already caused all sorts of problems in Firefox 3.6.3, and wasn't, apparently, very well maintained by its developers. Firefox 3.6.4 has been in a beta stage for months now, and RealPlayer's developers have had plenty of time to develop a version that works with Firefox 3.6.4. They didn't, either by choice or laziness, I don't know why. I understand your point perfectly, but there isn't anything I can do about this, really. I'm not a developer myself, for starters, and, from what I know of Firefox 3.6.4's architecture, the easiest fix is to change RealPlayer Record Plugin just a bit, to start looking for Flash in a different location, and it will work perfectly. If Firefox wanted to fix this incompatibility from its own side, it would take a lot more effort.

It does seem that this problem affects all RealPlayer Record Plugin users. And I think it would be nice if Mozilla had gone out of their way to make Firefox 3.6.4 not break this plugin. But apparently they haven't, and this probably has to do with the fact that RealPlayer Record Plugin already caused all sorts of problems in Firefox 3.6.3, and wasn't, apparently, very well maintained by its developers. Firefox 3.6.4 has been in a beta stage for months now, and RealPlayer's developers have had plenty of time to develop a version that works with Firefox 3.6.4. They didn't, either by choice or laziness, I don't know why. I understand your point perfectly, but there isn't anything I can do about this, really. I'm not a developer myself, for starters, and, from what I know of Firefox 3.6.4's architecture, the easiest fix is to change RealPlayer Record Plugin just a bit, to start looking for Flash in a different location, and it will work perfectly. If Firefox wanted to fix this incompatibility from its own side, it would take a lot more effort.

Question owner

I'm having the same problem... again. This seems to happen every time FF updates to a new version.

I had a feeling not to allow this update before allowing some time to go by... and all the bugs to be, once again, worked out.

Can anyone tell me how to go back before this new update, I guess to FF 3.6.3, as "George K" stated (above)?

Thank you for any help.

I'm having the same problem... again. This seems to happen every time FF updates to a new version. I had a feeling not to allow this update before allowing some time to go by... and all the bugs to be, once again, worked out. Can anyone tell me how to go back before this new update, I guess to FF 3.6.3, as "George K" stated (above)? Thank you for any help.

Question owner

Excuse me Mr.Morbus you state you need to ask the plugin's developers to make it compatible with Firefox, but Real player did not change Firefox is the one who made changes with 3.6.4, so pull your pants up and admit its your mistake, we like FF but there is a limit to liking, if we hane to spend our time correcting your mistakes its going to be a by by, there are other browsers out there such as IE and Google, just remember that!

Excuse me Mr.Morbus you state you need to ask the plugin's developers to make it compatible with Firefox, but Real player did not change Firefox is the one who made changes with 3.6.4, so pull your pants up and admit its your mistake, we like FF but there is a limit to liking, if we hane to spend our time correcting your mistakes its going to be a by by, there are other browsers out there such as IE and Google, just remember that!

Question owner

i did further checking just to see if Real Player had the player plug-in enabled for FF 3.6.4. What i discovered was that Real Player had the download plug-in enabled but for a much earlier version of FF ( earlier than FF 3.6.3 ), for sure.

so the proposition that plug-ins need be modified, where necessary, to work with the browser and not the other way around seems right on target.

so we'll have to be patient until Real Player gets around to updating the plug-in for the free version of Real Player.

right now, i'm thinking labor day might see the changes made.

i did further checking just to see if Real Player had the player plug-in enabled for FF 3.6.4. What i discovered was that Real Player had the download plug-in enabled but for a much earlier version of FF ( earlier than FF 3.6.3 ), for sure. so the proposition that plug-ins need be modified, where necessary, to work with the browser and not the other way around seems right on target. so we'll have to be patient until Real Player gets around to updating the plug-in for the free version of Real Player. right now, i'm thinking labor day might see the changes made.
Morbus 135 solutions 2340 answers

@ atopoz156 While I understand your point of view, you need to understand that plugins are made for the browsers, not the other way around. You'll see that you have different Flash installers for Internet Explorer and for Firefox, for example. This is a clear indicator of how Adobe (in Flash's case) has to make different versions of Flash for different browsers. All plugins are the same, even though this example may not apply to all of them. Plugins are made to be inserted in the browsers, not the other way around.

@ atopoz156 While I understand your point of view, you need to understand that plugins are made for the browsers, not the other way around. You'll see that you have different Flash installers for Internet Explorer and for Firefox, for example. This is a clear indicator of how Adobe (in Flash's case) has to make different versions of Flash for different browsers. All plugins are the same, even though this example may not apply to all of them. Plugins are made to be inserted in the browsers, not the other way around.

Question owner

Marbus let me be clear i am removing FF 3..6.4 and Thenerbird with it and going back to IE 8 . and Outloolk its not a run around i want its solutions! Fix and i will go back perhaps .

Marbus let me be clear i am removing FF 3..6.4 and Thenerbird with it and going back to IE 8 . and Outloolk its not a run around i want its solutions! Fix and i will go back perhaps .
Morbus 135 solutions 2340 answers

Atopoz156, if you have a problem with Internet Explorer and/or Outlook, you need to contact Microsoft, since they are the ones that develop it.

Also, if you are using another browser out of spite or because you can't fix your problem with Firefox, I will remind you that Mozilla is a non-profit, public service organization, and, as such, doesn't have the same financial interests Microsoft (or any other company developing a major web browser) does. Mozilla's objective is that you, the user, use the browser you want, be if Firefox or any other browser. If you want to use Firefox but can't, due to a problem, I'm glad to work with you the best I know and can to fix it, just as long as you reply to my questions and follow my suggestions. If you actually want to use another browser, then I'm happy that you finally found your "home", and my job is successfully done.

Atopoz156, if you have a problem with Internet Explorer and/or Outlook, you need to contact Microsoft, since they are the ones that develop it. Also, if you are using another browser out of spite or because you can't fix your problem with Firefox, I will remind you that Mozilla is a non-profit, public service organization, and, as such, doesn't have the same financial interests Microsoft (or any other company developing a major web browser) does. Mozilla's objective is that ''you'', the user, use the browser ''you want'', be if Firefox or any other browser. If you want to use Firefox but can't, due to a problem, I'm glad to work with you the best I know and can to fix it, just as long as you reply to my questions and follow my suggestions. If you actually want to use another browser, then I'm happy that you finally found your "home", and my job is successfully done.

Question owner

Morbus, I have been a Mozzilla fan since i am on the internet and this dates back to the Netscape day when we bought the full version with accessories. I never liked Microsoft products but still when you give a possibility dont take it away afterwards , the non profit story and no money i heard that one before, i am 62 and i saw water falll before you did, let me be clear I rather FF but dont diminish it capacities, its a far superior product by far to any other browser so dont diminish it capabilities!I am no genious in computing if i could resolve this i would gladly do it . and if i complain its because i love FF otherwise i would not even bother.

Morbus, I have been a Mozzilla fan since i am on the internet and this dates back to the Netscape day when we bought the full version with accessories. I never liked Microsoft products but still when you give a possibility dont take it away afterwards , the non profit story and no money i heard that one before, i am 62 and i saw water falll before you did, let me be clear I rather FF but dont diminish it capacities, its a far superior product by far to any other browser so dont diminish it capabilities!I am no genious in computing if i could resolve this i would gladly do it . and if i complain its because i love FF otherwise i would not even bother.
Morbus 135 solutions 2340 answers

If you like Firefox, atopoz156, I really don't understand why you're not following my advice. I respect and understand your opinions, but I really can't do anything more than I'm doing at the moment.

Also, you'll see that Firefox 3.6.4 architecture is really an improvement over what we previously had, as it keeps plugins from crashing Firefox. It is a shame that RealPlayer Record Plugin doesn't work with it, but that's RealPlayer's developers to fix. I really can't put it any other way.

If you want to downgrade to Firefox 3.6.3, you can, of course, although I cannot recommend this, since Firefox 3.6.4 has security fixes and other patches that you'll miss in previous versions. You can get Firefox 3.6.3 and all other Firefox versions ever released from Mozilla's FPT servers. But know that this new plugin architecture is going to be present on all versions of Firefox from now on, and being stuck in Firefox 3.6.3 because a plugin developer refuses to update its plugin is probably not the best option.

You may also want to consider using an alternative. I believe UnPlug, for example, to be a valid and useful alternative for RealPlayer Record Plugin, but only you can judge that.

In any case, and as I said before, I'm more than happen to work with you in any way that I know and can to fix this, or at least lead you to the people who can fix this. But you'll have to work with me, otherwise it's not possible.

Thank you for your understanding.

If you like Firefox, atopoz156, I really don't understand why you're not following my advice. I respect and understand your opinions, but I really can't do anything more than I'm doing at the moment. Also, you'll see that Firefox 3.6.4 architecture is really an improvement over what we previously had, as it keeps plugins from crashing Firefox. It is a shame that RealPlayer Record Plugin doesn't work with it, but that's RealPlayer's developers to fix. I really can't put it any other way. If you want to downgrade to Firefox 3.6.3, you can, of course, although I cannot recommend this, since Firefox 3.6.4 has security fixes and other patches that you'll miss in previous versions. You can get Firefox 3.6.3 and all other Firefox versions ever released from Mozilla's FPT servers. But know that this new plugin architecture is going to be present on all versions of Firefox from now on, and being stuck in Firefox 3.6.3 because a plugin developer refuses to update its plugin is probably not the best option. You may also want to consider using an alternative. I believe [https://addons.mozilla.org/en-US/firefox/addon/2254 UnPlug], for example, to be a valid and useful alternative for RealPlayer Record Plugin, but only you can judge that. In any case, and as I said before, I'm more than happen to work with you in any way that I know and can to fix this, or at least lead you to the people who can fix this. But you'll have to work with me, otherwise it's not possible. Thank you for your understanding.

Question owner

This FF 3.6.4 is better than 3.6.3 for sure i will stick to my FF and wait for the fix thanks i like FF too much to go back to Microsoft junk, thanks for your patience!

Morbus just to let you know the link for the plugin you gave me goes nowhere it said not found! sorry my friend.

This FF 3.6.4 is better than 3.6.3 for sure i will stick to my FF and wait for the fix thanks i like FF too much to go back to Microsoft junk, thanks for your patience! Morbus just to let you know the link for the plugin you gave me goes nowhere it said not found! sorry my friend.
Morbus 135 solutions 2340 answers

Hum, it's working on my end... If you're opening it from your email service, maybe your email service is parsing the link wrong. The correct link is this:

https://addons.mozilla.org/en-US/firefox/addon/2254/

This is just my personal preference, of course. I don't know if it will do everything you want it to do, but I hope it's at least a start.

Hum, it's working on my end... If you're opening it from your email service, maybe your email service is parsing the link wrong. The correct link is this: https://addons.mozilla.org/en-US/firefox/addon/2254/ This is just my personal preference, of course. I don't know if it will do everything you want it to do, but I hope it's at least a start.

Question owner

Thanks Morbus!!!:)

Thanks Morbus!!!:)

Question owner

that programm is just stupid. ive tried it, it has some sort of "allowed" list, which one must turn on most sites.from the very most sites download will not properly work.

i think these things are the reson why mozilla wont support plugins of others: they want to force you to use those THEY made (which are likely less capable and highly filtering ...) i really dislike souch programms that tell me, what i am allowed to do. like google .. .everytime i want to search for things ive to turn off that "moderate" search, which filters nearly everything.

if mozilla now goes to that way, forcing people to use their alternates instead of supporting bigger firms, we can all buy apple ...

just to emphasise this: i really like that you want to help, but the mozialla version just IS NO help.

that programm is just stupid. ive tried it, it has some sort of "allowed" list, which one must turn on most sites.from the very most sites download will not properly work. i think these things are the reson why mozilla wont support plugins of others: they want to force you to use those THEY made (which are likely less capable and highly filtering ...) i really dislike souch programms that tell me, what i am allowed to do. like google .. .everytime i want to search for things ive to turn off that "moderate" search, which filters nearly everything. if mozilla now goes to that way, forcing people to use their alternates instead of supporting bigger firms, we can all buy apple ... just to emphasise this: i really like that you want to help, but the mozialla version just IS NO help.